Subject: Re: Amaryllis (spell)question

From: [email-masked]
Date: 8 Mar 95 16:52:44 -0600

In article <[email-masked]>, [email-masked] (Michael Kennedy) writes:

> I decided to try and fertilize a flower.  I dipped my fingertip in the pollen and 
> fertilized two flowers.  My reward is (after one week)
> two (I hate vi) seed pods forming.  Here's my question-- What 
shouldn't I do with these pods?  How long till ripe? What 
don't I plant the seeds in?

Well, I can't answer your questions specifically, but what I WOULD do
is to wait till the fruit is starting to turn brown... probably in
a couple of months.... and then remove the seeds, which will look
like dark bb's.  Spread the seeds on a flat of soil, cover with sand
or soil, water, and incubate.  You should get seedlings within a month
or so.

Kay Klier  [email-masked]